LIBDIR ?= ../../lib
ZIPPREFIX ?= eduard/modules/import
ZIPLIST= *.cpp *.h Makefile doc/*.html doc/*.fig doc/Makefile
ZIPNAME=export
ZIPVER=1.1
#
#	derived vars
#
ZIPFILE=$(ZIPNAME)-$(ZIPVER).zip
CXXFLAGS += -fPIC -g -O -MMD -Wall -I../..
TARGET_LIB=$(LIBDIR)/libeda_export.so
EXPORT_OBJ= trav.o export.o dbg_export.o blif_export.o pla_export.o  vhdl_export.o vhdl_export_trav.o kiss_export.o 

all: $(TARGET_LIB)

$(TARGET_LIB):  $(EXPORT_OBJ)
	$(CXX) -shared -o $(TARGET_LIB) $(EXPORT_OBJ)

clean:
	-@rm *.o
	-@rm *.so
	-@rm *.d
	-@rm *~

depend:
	mv Makefile Makefile.bak
	sed -n 1,/[gG]ENERATED/p Makefile.bak > Makefile
	cat *.d >> Makefile
 
depclean:
	mv Makefile Makefile.bak
	sed -n 1,/[gG]ENERATED/p Makefile.bak > Makefile

archives:
	@cd $(ZIPDIR); \
	if [ -f $(ZIPFILE) ]; then rm $(ZIPFILE); fi; \
	for f in $(ZIPLIST); do \
	find `dirname "$(ZIPPREFIX)/$$f"` -maxdepth 1 -name "`basename "$$f"`" -print | zip $(ZIPFILE) -@;\
	done

# ---------------- GENERATED --------------------------------------
blif_export.o: blif_export.cpp blif_export.h trav.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h export.h ../../util/indent.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/behavioral.h ../../hub/reg.h ../../hub/reg.tcc \
  ../../hub/fsm.h ../../hub/pla.h ../../hub/entity.h
dbg_export.o: dbg_export.cpp dbg_export.h trav.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h export.h ../../util/indent.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/behavioral.h ../../hub/reg.h ../../hub/reg.tcc \
  ../../hub/attr.h ../../hub/symfunc.h ../../hub/fsm.h ../../hub/pla.h \
  ../../hub/err.h ../../hub/entity.h
export.o: export.cpp export.h ../../hub/hub.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity.h ../../hub/arch.h \
  ../../hub/entity_fw.h ../../hub/behavioral.h ../../util/indent.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/behavioral.h ../../hub/reg.h ../../hub/reg.tcc
kiss_export.o: kiss_export.cpp kiss_export.h trav.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h export.h ../../util/indent.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/behavioral.h ../../hub/reg.h ../../hub/reg.tcc \
  ../../hub/fsm.h ../../hub/entity.h
pla_export.o: pla_export.cpp pla_export.h trav.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h export.h ../../util/indent.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/behavioral.h ../../hub/reg.h ../../hub/reg.tcc \
  ../../hub/pla.h ../../hub/entity.h
trav.o: trav.cpp trav.h ../../hub/hub.h ../../hub/named.h ../../config.h \
  ../../hub/attr.h ../../hub/entity.h ../../hub/arch.h \
  ../../hub/entity_fw.h ../../hub/behavioral.h ../../hub/structural.h \
  ../../hub/hub.h export.h ../../util/indent.h ../../util/gaugemsg.h \
  ../../util/msg.h ../../util/gzstream.h ../../hub/location.h \
  ../../hub/err.h ../../hub/err.tcc ../../hub/behavioral.h \
  ../../hub/reg.h ../../hub/reg.tcc ../../hub/err.h
vhdl_export.o: vhdl_export.cpp vhdl_export.h vhdl_export_trav.h \
  ../../hub/hub.h ../../hub/named.h ../../config.h ../../hub/attr.h \
  ../../hub/entity.h ../../hub/arch.h ../../hub/entity_fw.h \
  ../../hub/behavioral.h ../../hub/structural.h ../../hub/hub.h \
  ../../hub/behavioral.h trav.h export.h ../../util/indent.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc ../../hub/reg.h \
  ../../hub/reg.tcc ../../hub/attr.h ../../hub/symfunc.h ../../hub/err.h \
  ../../hub/entity.h
vhdl_export_trav.o: vhdl_export_trav.cpp vhdl_export_trav.h \
  ../../hub/hub.h ../../hub/named.h ../../config.h ../../hub/attr.h \
  ../../hub/entity.h ../../hub/arch.h ../../hub/entity_fw.h \
  ../../hub/behavioral.h ../../hub/structural.h ../../hub/hub.h \
  ../../hub/behavioral.h trav.h export.h ../../util/indent.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc ../../hub/reg.h \
  ../../hub/reg.tcc ../../hub/err.h ../../hub/symfunc.h
